//
//  GlowWormPckt.h
//  GlowWorm
//
//  Created by Curtis Jones on 2007.02.27.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlowWormObject.h>
#import <Transaction.h>

@interface GlowWormPckt : GlowWormObject <GlowWormObject>
{
	
}

- (NSNumber *)pcktId;
- (NSNumber *)locAddr;
- (NSNumber *)locPort;
- (NSNumber *)remAddr;
- (NSNumber *)remPort;
- (NSNumber *)direction;
- (NSNumber *)time;
- (NSData		*)data;

- (NSString *)hrLocAddrPort;
- (NSString *)hrRemAddrPort;

+ (Transaction *)pcktInsertHandler:(id)callbackObj callbackSel:(SEL)callbackSel callbackCtx:(id)callbackCtx;
+ (Transaction *)pcktDeleteHandler:(id)callbackObj callbackSel:(SEL)callbackSel callbackCtx:(id)callbackCtx;

- (NSData *)serialize;
- (int)deserialize:(NSData *)data offs:(int)offs;

@end
