//
//  GlowWormProc.h
//  GlowWorm
//
//  Created by Curtis Jones on 2006.09.14.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlowWormObject.h>
#import <Transaction.h>

@interface GlowWormProc : GlowWormObject <GlowWormObject>
{
	
}

- (NSNumber *)pid;
- (NSNumber *)ppid;
- (NSNumber *)uid;
- (NSString *)path;

- (void)setPid:(NSNumber *)aNum;
- (void)setPPid:(NSNumber *)aNum;
- (void)setUid:(NSNumber *)aNum;
- (void)setPath:(NSString *)aStr;

+ (Transaction *)insertProcLookupHandler:(id)callbackObj callbackSel:(SEL)callbackSel;
+ (Transaction *)insertProcChangeHandler:(id)callbackObj callbackSel:(SEL)callbackSel callbackCtx:(id)callbackCtx;
+ (Transaction *)insertProc:(GlowWormProc *)aProc callbackObj:(id)callbackObj callbackSel:(SEL)callbackSel callbackCtx:(id)callbackCtx;
+ (Transaction *)selectProc:(GlowWormProc *)aProc callbackObj:(id)callbackObj callbackSel:(SEL)callbackSel callbackCtx:(id)callbackCtx;

@end
