//
//  GlowWormStat.h
//  GlowWorm
//
//  Created by Curtis Jones on 2007.02.08.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlowWormObject.h>
#import <Transaction.h>

@interface GlowWormStat : GlowWormObject <GlowWormObject>
{
	
}

- (NSNumber *)statId;
- (NSNumber *)bytesSend;
- (NSNumber *)pcktsSend;
- (NSNumber *)bytesRecv;
- (NSNumber *)pcktsRecv;

+ (Transaction *)statInsertHandler:(id)callbackObj callbackSel:(SEL)callbackSel callbackCtx:(id)callbackCtx;
+ (Transaction *)statDeleteHandler:(id)callbackObj callbackSel:(SEL)callbackSel callbackCtx:(id)callbackCtx;

- (NSData *)serialize;
- (int)deserialize:(NSData *)data offs:(int)offs;

@end
